<?php
/*
Project name:	Meltdown BBS
File:		admin/files.php
Version:	1.0 beta
Copyright:	(c) 2003-2004 Petko Bossakov
Email:		bossakov@mail.bg
WWW:		http://meltdown-bbs.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
*/

define('IN_MELTDOWN', true);
chdir('..');
require('common.php');

if ($_SESSION['level'] < 100) {
	header('Location: ../index.php');
	exit;
}

if ($_POST['op'] == 'Save') {
	$postvars = array('areaid', 'name', 'description', 'path', 'level_list', 'level_upload', 'level_download', 'level_admin', 'order_num');
	foreach ($postvars as $var) {
		if (!empty($_POST[$var])) {
			$$var=htmlspecialchars($_POST[$var]);
			if (strpos($var, 'level_') === 0) {
				if ($$var > 100) $$var = 100; // Maximum level is 100
			}
		} else {
			die("$var not entered");
		}
	}
	if (!is_dir($path)) die('The path entered does not point to a valid, existing directory.');

	$sql = "UPDATE areas SET name='$name', description='$description', path='$path', level_list='$level_list', level_upload='$level_upload', level_download='$level_download', level_admin='$level_admin', order_num='$order_num' WHERE areaid='$areaid'";
	db_query($sql) or die(db_error(LINK));
	header('Location: files.php');
}
elseif ($_POST['op'] == 'Delete') {
	$areaid = $_POST['areaid'];
	if (empty($areaid)) die('areaid not entered');
	$sql = "DELETE FROM areas WHERE areaid='$areaid'";
	db_query($sql) or die(db_error(LINK));
	header('Location: files.php');
}
elseif ($_POST['op'] == 'add') {
	$postvars = array('name', 'description', 'path', 'level_list', 'level_upload', 'level_download', 'level_admin', 'order_num');
	foreach ($postvars as $var) {
		if (!empty($_POST[$var])) {
			$$var=htmlspecialchars($_POST[$var]);
			if (strpos($var, 'level_') === 0) {
				if ($$var > 100) $$var = 100; // Maximum level is 100
			}
		} else {
			die("$var not entered");
		}
	}
	if (!is_dir($path)) die('The path entered does not point to a valid, existing directory.');
	$sql = "INSERT INTO areas (name, description, path, level_list, level_upload, level_download, level_admin, order_num) VALUES('$name', '$description', '$path', '$level_list', '$level_upload', '$level_download', '$level_admin', '$order_num')";
	db_query($sql) or die(db_error(LINK));
	header('Location: files.php');
}
else {
	$sql = "SELECT * FROM areas ORDER BY order_num, areaid";
	$result = db_query($sql) or die(db_error(LINK));
	while ($row = db_fetch_assoc($result)) {
		$areas .= "\r\n" .
			'<form method="post" action="files.php">' .
			'<input type="hidden" name="areaid" value="' . $row['areaid'] . '">' .
			'<tr><td><input type="text" name="order_num" size="4" value="' . $row['order_num'] . '"></td>' .
			'<td><input type="text" name="name" value="' . $row['name'] . '"></td>' .
			'<td><input type="text" name="description" value="' . $row['description'] . '"></td>' . 
			'<td><input type="text" name="path" value="' . $row['path'] . '"></td>' . 
			'<td><input type="text" name="level_list" size="4" value="' . $row['level_list'] . '"></td>' . 
			'<td><input type="text" name="level_download" size="4" value="' . $row['level_download'] . '"></td>' . 
			'<td><input type="text" name="level_upload" size="4" value="' . $row['level_upload'] . '"></td>' . 
			'<td><input type="text" name="level_admin" size="4" value="' . $row['level_admin'] . '"></td>' . 
			'<td><input type="submit" name="op" value="Save">' . 
			'<input type="submit" name="op" value="Delete" onClick="return confirm(\'Are you sure you wish to delete the file area ' . $row['name'] . ' ?\');">' .
			'</td></tr></form>';
		$newnum = $row['order_num'] + 1;
	}
	$areas .= "\r\n" .
		'<tr><td colspan="8">Add new file area:</td></tr>' .
		'<form method="post" action="files.php">' .
		'<input type="hidden" name="op" value="add">' .
			'<tr><td><input type="text" name="order_num" size="4" value="' . $newnum . '"></td>' .
			'<td><input type="text" name="name"></td>' .
			'<td><input type="text" name="description"></td>' . 
			'<td><input type="text" name="path"></td>' . 
			'<td><input type="text" size="4" name="level_list"></td>' . 
			'<td><input type="text" size="4" name="level_download"></td>' . 
			'<td><input type="text" size="4" name="level_upload"></td>' . 
			'<td><input type="text" size="4" name="level_admin"></td>' . 
			'<td><input type="submit" value="Add"></td></tr>' . 
			'</form>';

echo <<<END
<html>
<head>
<title>
$bbs_name - Administration
</title>
</head>
<body>
<h1>Administration</h1>
<p>
[<a href="../index.php">Home</a>]
[<a href="index.php">Basic configuration</a>]
[<a href="echos.php">Forum admin</a>]
[<a href="users.php">User admin</a>]
</p>
<h2>File areas</h2>
<table border="1">
<tr><th rowspan="2">Order</th><th rowspan="2">Name</th><th rowspan="2">Description</th><th rowspan="2">Path</th><th colspan="4">Minimum access level required for:</th></tr>
<tr><th>Listing files</th><th>Downloading</th><th>Uploading</th><th>Administration</th></tr>
$areas
</table><br>
</body>
</html>
END;

}
?>