<?php
/*
Project name:	Meltdown BBS
File:		admin/index.php
Version:	1.0 beta
Copyright:	(c) 2003-2004 Petko Bossakov
Email:		bossakov@mail.bg
WWW:		http://meltdown-bbs.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
*/

define('IN_MELTDOWN', true);
chdir('..');

require('common.php');
$cfgvars = array('bbs_name', 'newuser_level', 'newuser_uploads', 'file_ratio', 'nodenumber', 'ban_file_extensions', 'language', 'template', 'timeout', 'page');

if ($_SESSION['level'] < 100) {
	header('Location: ../index.php');
	exit;
}

if ($_POST['op'] == 'save') {
	if (!empty($_POST['cfg_nodenumber'])) {
		$akas = explode(" ", $_POST['cfg_nodenumber']);
		foreach ($akas as $aka) {
			if (!validate_node($aka)) die('Invalid node number entered');
		}
	}
	foreach($cfgvars as $cfgvar) {
		if (isset($_POST['cfg_' . $cfgvar])) {
			$name = $cfgvar;
			$value = $_POST['cfg_' . $cfgvar];
			if ($value != $config[$name]) {
				$sql = "UPDATE config SET config_value='$value' WHERE config_name='$name'";
				db_query($sql) or die(db_error(LINK));
			}
		}
	}
	header('Location: index.php');
}
else {
	// See what templates we have available
	$template_options = '<select name="cfg_template">';
	$handle = opendir("templates");
        while (($file = readdir($handle)) !== false) {
		if (is_dir("templates/".$file) and ($file != ".") and ($file != "..")) {
			$template_options .= "\n<option value=\"$file\"" . (($config['template'] == $file) ? " selected" : "") . ">$file</option>";
		}
	}
	closedir($handle);
	$template_options .= "</select>";

	// And now, the languages...
	$language_options = '<select name="cfg_language">';
	$handle = opendir("language");
        while (($file = readdir($handle)) !== false) {
		if (!is_dir($file) and !(strpos(strtolower($file), ".php") === false)) {
			$option = str_replace(".php", "", strtolower($file));
			$language_options .= "\n<option" . (($option == $config['language'])?" selected ":" ") . "value=\"$option\">$option</option>";
		}
	}
	$language_options .= "</select>";

	foreach ($cfgvars as $cfgvar) {
		$$cfgvar = $config[$cfgvar];
	}

echo <<<END
<html>
<head>
<title>
$bbs_name - Administration
</title>
</head>
<body>
<h1>Administration</h1>
<p>
[<a href="../index.php">Home</a>]
[<a href="echos.php">Forum admin</a>]
[<a href="files.php">File area admin</a>]
[<a href="users.php">User admin</a>]
</p>
<h2>Configuration</h2>
<form action="index.php" method="post">
<input type="hidden" name="op" value="save">
<table>
<tr><td>BBS name:</td><td><input type="text" name="cfg_bbs_name" value="$bbs_name"></td></tr>
<tr><td>Fidonet node number(s) (if applicable):</td><td><input type="text" name="cfg_nodenumber" value="$nodenumber"></td></tr>
<tr><td>Default template:</td><td>$template_options</td></tr>
<tr><td>Default language:</td><td>$language_options</td></tr>
<tr><td>New user access level:</td><td><input type="text" name="cfg_newuser_level" value="$newuser_level"></td></tr>
<tr><td>Session timeout (seconds):</td><td><input type="text" name="cfg_timeout" value="$timeout"></td></tr>
<tr><td>Maximum download/upload ratio allowed:</td><td><input type="text" name="cfg_file_ratio" value="$file_ratio"></td></tr>
<tr><td>Initial upload counter for new users:</td><td><input type="text" name="cfg_newuser_uploads" value="$newuser_uploads"></td></tr>
<tr><td>File extensions not allowed in uploads:</td><td><input type="text" name="cfg_ban_file_extensions" value="$ban_file_extensions"></td></tr>
<tr><td>Messages per display page:</td><td><input type="text" name="cfg_page" value="$page"></td></tr>
</table><br>
<input type="submit">
</body>
</html>
END;

}
?>