<?php
/*
Project name:	Meltdown BBS
File:		index.php
Version:	1.0 beta
Copyright:	(c) 2003-2004 Petko Bossakov
Email:		bossakov@mail.bg
WWW:		http://meltdown-bbs.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
*/

define('IN_MELTDOWN', true);
require('common.php');

if ($_POST['op'] == 'login') {
	$postvars = array('firstname', 'lastname', 'password');
	foreach ($postvars as $var) {
		if (!empty($_POST[$var])) {
			$$var=htmlspecialchars($_POST[$var]);
		} else {
			die_gracefully("$var not entered");
		}
	}
	$sql = "SELECT * FROM users WHERE firstname='$firstname' AND lastname='$lastname' AND password='" . md5($password) . "'";
	$result = db_query($sql) or die(db_error(LINK));
	if (db_num_rows($result) < 1){
		die_gracefully("Sorry, this username/password combination seems to be invalid.");
	}
	$_SESSION = db_fetch_assoc($result);

	$sql = "UPDATE users SET lastvisit='" . time() . "' WHERE firstname='" . $_SESSION['firstname'] . "' AND lastname='" . $_SESSION['lastname'] . "'";
	db_query($sql) or die(db_error(LINK));

	if ($_SESSION['level'] == 0) {
		$_SESSION = array();
		session_destroy();
		die_gracefully('Sorry, you have no access to this system. You are either banned or the sysop has not verified your account yet.');
	}
	$_SESSION['timeout'] = time();
	header("Location: index.php");
	exit;
}

if (empty($_SESSION['userid'])) {
// The user has not logged in, so either try to create a session for them,
// or show them a nice login form
	$register_vars = array('l_login', 'l_login_info', 
		'l_firstname', 'l_lastname', 'l_password');
	language_process($register_vars);
        $tpl->pprint_file("templates/$tpldir/login.html", $register_vars);

} elseif ($_GET['op'] == 'logout') {
	$_SESSION = array();
	session_destroy();

	$register_vars = array('l_loggedout', 'l_loggedout_info');
	language_process($register_vars);
        $tpl->pprint_file("templates/$tpldir/loggedout.html", $register_vars);	
} else {
// Where do you want to go today? Show template with links
	$firstname = $_SESSION['firstname'];
	$lastname = $_SESSION['lastname'];

	$sql = "SELECT COUNT(msgid) FROM netmail WHERE datetime > " . $_SESSION['lastvisit'] . " AND (recipient = '" . $_SESSION['firstname'] . " " . $_SESSION['lastname'] . "'";
	if ($_SESSION['level'] >= 100) $sql .= " OR recipient = 'Sysop'";
	$sql .= ")";
	$result = db_query($sql) or die(db_error(LINK));
	$row = db_fetch_assoc($result);
	$newmail = $row['COUNT(msgid)'];

	$sql = "SELECT COUNT(fileid) FROM files WHERE upload_time > " . $_SESSION['lastvisit'];
	$result = db_query($sql) or die(db_error(LINK));
	$row = db_fetch_assoc($result);
	$newfiles = $row['COUNT(fileid)'];

	$sql = "SELECT COUNT(fileid) FROM files";
	$result = db_query($sql) or die(db_error(LINK));
	$row = db_fetch_assoc($result);
	$totalfiles = $row['COUNT(fileid)'];

	$sql = "SELECT COUNT(msgid) FROM msgs";
	$result = db_query($sql) or die(db_error(LINK));
	$row = db_fetch_assoc($result);
	$totalmsgs = $row['COUNT(msgid)'];

	$sql = "SELECT COUNT(echoid) FROM echos";
	$result = db_query($sql) or die(db_error(LINK));
	$row = db_fetch_assoc($result);
	$totalforums = $row['COUNT(echoid)'];

	if ($_SESSION['level'] >= 100) {
		$admin = true;
	} else {
		$admin = false;
	}

	$register_vars = array(
		'l_welcome', 'l_loggedinas', 'firstname', 'lastname',
		'l_nav_mail', 'l_newmail1', 'l_newmail2', 'newmail', 'l_nav_forums',
		'l_totalforums', 'totalforums', 'l_nav_files', 'l_newfiles1', 'l_newfiles2',
		'newfiles', 'l_nav_search', 'l_srchitems1', 'l_srchitems2', 'l_srchitems3',
		'totalfiles', 'totalmsgs', 'l_nav_settings', 'l_nav_logout', 'l_nav_admin'
	);
	language_process($register_vars);
        $tpl->load_file('main', "templates/$tpldir/main.html");
	$tpl->parse_if('main', 'admin');
        $tpl->pprint('main', $register_vars);
}


?>