<?php

$translation_info = ''; // You can insert copyright notices, credits or other information here

// Check version
if ($config['version'] > 1099) echo('<b>Warning:</b> The English language pack installed on this system is designed for version 1.0 of Meltdown BBS. Please update your language pack.');

$lang=array(
'welcome' => 'Welcome!',
'loggedinas' => 'You are logged in as',
'topnav_home' => 'Home',
'topnav_mail' => 'Mail',
'topnav_forums' => 'Forums',
'topnav_files' => 'Files',
'topnav_search' => 'Search',
'topnav_settings' => 'Settings',
'topnav_logout' => 'Log out',
'topnav_admin' => 'Admin',
'nav_mail' => 'Check your personal mail, send private messages to other users',
'nav_forums' => 'Participate in public discussions on various topics',
'nav_files' => 'Browse the topical file areas, download files and send new files to the BBS',
'nav_search' => 'Search for a specific file or message in the database',
'nav_settings' => 'Change your password, preferred language, template, etc',
'nav_logout' => 'End your current session',
'nav_admin' => 'Access the sysop functions',
'newmail1' => 'You have',
'newmail2' => 'new private messages',
'newfiles1' => 'There are',
'newfiles2' => 'new files uploaded since your last visit',
'srchitems1' => 'The database contains a total of',
'srchitems2' => 'files and',
'srchitems3' => 'messages',
'totalforums' => 'Number of forums available',

'newuser' => 'New user',
'newuser_info' => 'Welcome to this BBS! Please use the following form to register (you must fill in all fields)',
'firstname' => 'First name',
'lastname' => 'Last name',
'password' => 'Password',
'pw2' => 'Password (again)',
'language' => 'Language',
'template' => 'Template',
'submit' => 'Submit',
'send' => 'Send',
'post' => 'Post',
'reset' => 'Reset',
'email' => 'Email address',
'blank_nochg' => '(blank if you don\'t want to change it)',

'registered' => 'New user created',
'congrats' => 'Congratulations,',
'registered_info' => 'Your new account here has been created! You can now <a href=\'index.php\'>proceed to the login page</a>.',
'registered_security' => 'Your access level is',

'login' => 'Login',
'login_info' => 'Please enter your name and password. If you don\'t have an account yet, <a href=\'register.php\'>register</a> first.',
'loggedout' => 'You are logged out',
'loggedout_info' => 'You are now logged out of this system. If you wish, you can <a href=\'index.php\'>login as another user</a> or <a href=\'register.php\'>register a new account</a>.',

'settings' => 'Settings',
'settings_info' => 'You can change your account settings here.',
'name' => 'Name',
'access_level' => 'Access level',
'curpass' => 'Your current password',
'newpass' => 'New password',
'newpass2' => 'New password (again)',
'settings_saved' => 'Settings saved',
'settings_saved_info' => 'Your settings have been changed successfully. You can now <a href=\'index.php\'>return to the main page</a>.',

'forums' => 'Forums',
'forum_name' => 'Forum name',
'description' => 'Description',
'backtoforums' => 'Back to forums list',

'areas' => 'File areas',
'area_name' => 'Name',
'filename' => 'File name',
'filesize' => 'Size',
'num_downloads' => 'Downloaded',
'uploader' => 'Sent by',
'upload_file' => 'Upload new file',

'filearea' => 'File area',
'save' => 'Save',
'edit file' => 'Edit file',

'date' => 'Date',
'from' => 'From',
'to' => 'To',
'subject' => 'Subject',
'postnew' => 'Post new message',
'editmsg' => 'Edit message',
'postreply' => 'Post reply',
'op_edit' => 'Edit',
'op_del' => 'Del',
'op_rename' => 'Rename',
'pages' => 'Pages',

'thread' => 'Thread',
'r_first_to_this' => 'Down thread',
'r_orig' => 'Up thread',
'r_prev_to_orig' => '<< Previous reply',
'r_next_to_orig' => 'Next reply >>',
'bydate' => 'By date',
'bydate_prev' => 'Previous',
'bydate_next' => 'Next',
'prev_page' => 'Previous',
'next_page' => 'Next',


'search' => 'Search',
'search_for' => 'Search for',
'searchfor_msg' => 'Message (subject or text)',
'searchfor_filename' => 'File name',
'searchfor_filedesc' => 'File description',
'text_to_find' => 'Text to find',
'forum' => 'Forum',
'area' => 'File area',
'search_results' => 'Search results',

'inbox' => 'Inbox',
'sendnew' => 'Send a new message',

'msgtype' => 'Message type',
'msgtype_local' => 'Local',
'msgtype_fidonet' => 'Fidonet',
'destination_node' => 'address',
'sendreply' => 'Send a reply',
'from_node' => 'Fidonet address',

'error' => 'Error',
'error_info' => 'An error has occurred! Please notify the sysop if the problem persists. Here\'s the error message returned:',

'timeout' => 'Session timed out',
'timeout_info' => 'You have been inactive for too long; you need to <a href="index.php">relogin</a>.'

);
?>
