<?php
/*
Project name:	Meltdown BBS
File:		settings.php
Version:	1.0 beta
Copyright:	(c) 2003-2004 Petko Bossakov
Email:		bossakov@mail.bg
WWW:		http://meltdown-bbs.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
*/

define('IN_MELTDOWN', true);
require('common.php');

if (empty($_SESSION['userid'])) {
	header('Location: index.php');
	exit;
}

if ($_POST['op'] == 'change') {
	$postvars = array('template', 'language', 'current_password', 'email');	
	foreach ($postvars as $var) {
		if (!empty($_POST[$var])) {
			$$var=htmlspecialchars($_POST[$var]);
		} else {
			die_gracefully("$var not entered");
		}
	}
	$sql = "SELECT * FROM users WHERE firstname = '" . $_SESSION['firstname'] . "' AND lastname = '" . $_SESSION['lastname'] . "' AND password = '" . md5($current_password) . "'";
	$result = db_query($sql) or die(db_error(LINK));
	if (db_num_rows($result) < 1){
		die_gracefully("Sorry, your current password is wrong. Please try again.");
	}
	if (!empty($_POST['new_password'])) {
		$new_password = $_POST['new_password'];
		$new_password2 = $_POST['new_password_2'];
		if ($new_password2 != $new_password) die_gracefully('Passwords do not match');
		if (strlen($new_password) < 4) die_gracefully('Your password should be at least 4 characters long.');
	}
	if (!is_dir("templates/$template")) die_gracefully('Selected template is not installed on this system.');
	if (!file_exists("language/" . $language . ".php")) die_gracefully('Selected language is not installed on this system.');
	if (!validate_email($email)) die_gracefully('Please enter a valid email address!');
	$sql = "SELECT * FROM users WHERE email = '$email' AND !(firstname = '" . $_SESSION['firstname'] . "' AND lastname = '" . $_SESSION['lastname'] . "')";
	$result = db_query($sql) or die(db_error(LINK));
	if (db_num_rows($result) >= 1){
		die_gracefully("Sorry, a user with the email address \"$email\" already exists on this system.");
	}

	// Everything is validated. Now let's update the database...
	$sql = "UPDATE users SET template='$template', language='$language', email='$email'";
	if (!empty($new_password)) {
		$sql .= ", password='" . md5($new_password) ."'";
	}
	$_SESSION['template'] = $template;
	$_SESSION['language'] = $language;
	$sql .= " WHERE firstname='" . $_SESSION['firstname'] . "' AND lastname='" . $_SESSION['lastname'] . "'";
	db_query($sql) or die(db_error(LINK));

	// Tell them everything's OK
	$register_vars = array('l_settings_saved', 'l_settings_saved_info');
	language_process($register_vars);
	$tpl->pprint_file("templates/$tpldir/settings2.html", $register_vars);

} else {
	$name = $_SESSION['firstname'] . " " . $_SESSION['lastname'];
	$level = $_SESSION['level'];
	$options_language = language_options();
	$options_template = template_options();

	$sql = "SELECT email FROM users WHERE firstname = '" . $_SESSION['firstname'] . "' AND lastname = '" . $_SESSION['lastname'] . "'";
	$result = db_query($sql) or die(db_error(LINK));
	$e = db_fetch_assoc($result);
	$email = $e['email'];

	$register_vars = array(
		'l_settings', 'l_settings_info', 'l_name', 'name', 
		'l_curpass', 'l_newpass', 'l_newpass2', 'l_template', 'l_language', 
		'options_template', 'options_language', 'l_access_level', 'level',
		'l_submit', 'l_reset', 'l_email', 'email', 'l_blank_nochg'
	);
	language_process($register_vars);
	$tpl->pprint_file("templates/$tpldir/settings.html", $register_vars);
}

?>