<?php
/*
Project name:	Meltdown BBS
File:		upload.php
Version:	1.0 beta
Copyright:	(c) 2003-2004 Petko Bossakov
Email:		bossakov@mail.bg
WWW:		http://meltdown-bbs.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
*/

define('IN_MELTDOWN', true);
require('common.php');

if (empty($_SESSION['userid'])) {
	header('Location: index.php');
	exit;
}

// Check if we have a valid file and areaid

if (!(is_uploaded_file($_FILES['userfile']['tmp_name']))) {
	die_gracefully('Error: invalid data sent while trying to upload file');
}

$areaid = $_POST['areaid'];
$userid = $_SESSION['userid'];
$fname = htmlspecialchars(strtolower($_FILES['userfile']['name']));
$desc = htmlspecialchars($_POST['description']);
if (empty($areaid)) die_gracefully('Error: invalid file area specified while trying to upload file');
if (empty($desc)) die_gracefully('Error: no description entered');

$sql = "SELECT * FROM areas WHERE areaid='$areaid'";
$result = db_query($sql) or die(db_error(LINK));
if (db_num_rows($result) < 1) die_gracefully('Error: invalid file area specified while trying to upload file');
$area = db_fetch_assoc($result);

// Check if user has upload rights for this file area

if ($area['level_upload'] > $_SESSION['level']) die_gracefully('You cannot upload files here');

// Ban unwanted extensions

$extf = substr($fname, (strrpos($fname, ".") + 1));
$extensions = explode(" ", $config['ban_file_extensions']);
foreach ($extensions as $ext) {
	if ($ext == $extf) die_gracefully("Error: you are not allowed to upload .$ext files");
}

// Check if such a file already exists

$destination = $area['path'] . '/' . $fname;
if (file_exists($destination)) die_gracefully('A file with this name already exists in that file area. Please change the name.');

// Save file and description

move_uploaded_file($_FILES['userfile']['tmp_name'], $destination);
$sql = "INSERT INTO files (areaid, uploader_id, filename, mime_type, description, upload_time) VALUES ('$areaid', '$userid', '$fname', '" . $_FILES['userfile']['type'] . "', '$desc', '" . time() . "')";
db_query($sql) or die(db_error(LINK));

// Increment user's upload count

$_SESSION['uploads'] += 1;
$sql = "UPDATE users SET uploads='" . $_SESSION['uploads'] . "' WHERE userid='$userid'";
db_query($sql) or die(db_error(LINK));

header("Location: files.php?areaid=$areaid");

?>