<?php
/*
Project name:	Meltdown BBS
File:		admin/echos.php
Version:	1.0 beta
Copyright:	(c) 2003-2004 Petko Bossakov
Email:		bossakov@mail.bg
WWW:		http://meltdown-bbs.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
*/

define('IN_MELTDOWN', true);
chdir('..');
require('common.php');

if ($_SESSION['level'] < 100) {
	header('Location: ../index.php');
	exit;
}

if ($_POST['op'] == 'Save') {
	$postvars = array('echoid', 'name', 'description', 'level_read', 'level_post', 'level_admin', 'order_num');
	foreach ($postvars as $var) {
		if (!empty($_POST[$var])) {
			$$var=htmlspecialchars($_POST[$var]);
			if (strpos($var, 'level_') === 0) {
				if ($$var > 100) $$var = 100; // Maximum level is 100
			}
		} else {
			die("$var not entered");
		}
	}
	$fidotag = $_POST['fidotag'];
	$aka = $_POST['aka'];

	if (!empty($fidotag) and empty($aka)) die ('You must enter an AKA for all Fido areas');

	if(!empty($aka)) {
		$akas = explode(" ", $config['nodenumber']);
		$akafound = false;
		foreach($akas as $caka) {
			if ($caka == $aka) $akafound = true;
		}
		if (!($akafound)) die ('The AKA you entered is not mentioned in the list of Fidonet addresses for this system');
	}
	$sql = "UPDATE echos SET echoid='$echoid', name='$name', description='$description', level_read='$level_read', level_post='$level_post', level_admin='$level_admin', fidotag='$fidotag', aka='$aka', order_num='$order_num' WHERE echoid='$echoid'";
	db_query($sql) or die(db_error(LINK));
	header('Location: echos.php');
}
elseif ($_POST['op'] == 'Delete') {
	$echoid = $_POST['echoid'];
	if (empty($echoid)) die("echoid not entered");

	$sql = "DELETE FROM echos WHERE echoid='$echoid'";
	db_query($sql) or die(db_error(LINK));
	header('Location: echos.php');
}
elseif ($_POST['op'] == 'add') {
	$postvars = array('name', 'description', 'level_read', 'level_post', 'level_admin', 'order_num');
	foreach ($postvars as $var) {
		if (!empty($_POST[$var])) {
			$$var=htmlspecialchars($_POST[$var]);
			if (strpos($var, 'level_') === 0) {
				if ($$var > 100) $$var = 100; // Maximum level is 100
			}
		} else {
			die("$var not entered");
		}
	}
	$fidotag = $_POST['fidotag'];

	$aka = $_POST['aka'];

	if (!empty($fidotag) and empty($aka)) die ('You must enter an AKA for all Fido areas');

	if(!empty($aka)) {
		$akas = explode(" ", $config['nodenumber']);
		$akafound = false;
		foreach($akas as $caka) {
			if ($caka == $aka) $akafound = true;
		}
		if (!($akafound)) die ('The AKA you entered is not mentioned in the list of Fidonet addresses for this system');
	}

	$sql = "INSERT INTO echos (name, description, level_read, level_post, level_admin, fidotag, aka, order_num) VALUES ('$name', '$description', '$level_read', '$level_post', '$level_admin', '$fidotag', '$aka', '$order_num')";
	db_query($sql) or die(db_error(LINK));
	header('Location: echos.php');
}
else {
	$sql = "SELECT * FROM echos ORDER BY order_num, echoid";
	$result = db_query($sql) or die(db_error(LINK));
	while ($row = db_fetch_assoc($result)) {
		$forums .= "\r\n" .
			'<form method="post" action="echos.php">' .
			'<input type="hidden" name="echoid" value="' . $row['echoid'] . '">' .
			'<tr><td><input type="text" name="order_num" size="4" value="' . $row['order_num'] . '"></td>' .
			'<td><input type="text" name="name" value="' . $row['name'] . '"></td>' .
			'<td><input type="text" name="description" value="' . $row['description'] . '"></td>' . 
			'<td><input type="text" name="level_read" size="4" value="' . $row['level_read'] . '"></td>' . 
			'<td><input type="text" name="level_post" size="4" value="' . $row['level_post'] . '"></td>' . 
			'<td><input type="text" name="level_admin" size="4" value="' . $row['level_admin'] . '"></td>' . 
			'<td><input type="text" name="fidotag" value="' . $row['fidotag'] . '"></td>' . 
			'<td><input type="text" name="aka" value="' . $row['aka'] . '"></td>' . 
			'<td><input type="submit" name="op" value="Save">' . 
			'<input type="submit" name="op" value="Delete" onClick="return confirm(\'Are you sure you wish to delete the forum ' . $row['name'] . ' ?\');">' .
			'</td></tr></form>';
		$newnum = $row['order_num'] + 1;
	}
	$forums .= "\r\n" .
		'<tr><td colspan="8">Add new forum:</td></tr>' .
		'<form method="post" action="echos.php">' .
		'<input type="hidden" name="op" value="add">' .
		'<tr><td><input type="text" name="order_num" size="4" value="' . $newnum . '">' .
		'<td><input type="text" name="name"></td>' .
		'<td><input type="text" name="description"></td>' . 
		'<td><input type="text" name="level_read" size="4"></td>' . 
		'<td><input type="text" name="level_post" size="4"></td>' . 
		'<td><input type="text" name="level_admin" size="4"></td>' . 
		'<td><input type="text" name="fidotag"></td>' . 
		'<td><input type="text" name="aka"></td>' . 
		'<td><input type="submit" value="Add"></td></tr>' . 
		'</form>';

echo <<<END
<html>
<head>
<title>
$bbs_name - Administration
</title>
</head>
<body>
<h1>Administration</h1>
<p>
[<a href="../index.php">Home</a>]
[<a href="index.php">Basic configuration</a>]
[<a href="files.php">File area admin</a>]
[<a href="users.php">User admin</a>]
</p>
<h2>Forums</h2>
<p>Fidonet values can be left empty if the forum is not linked to Fidonet.</p>
<table border="1">
<tr><th rowspan="2">Order</th><th rowspan="2">Forum name</th><th rowspan="2">Description</th><th colspan="3">Minimum access level required for:</th><th colspan="2">Fidonet options:</th><th></th></tr>
<tr><th>Reading</th><th>Posting</th><th>Administration</th><th>Echoconference name</th><th>AKA to use</th><th></th></tr>
$forums
</table><br>
</body>
</html>
END;

}
?>