<?php
/*
Project name:	Meltdown BBS
File:		admin/users.php
Version:	1.0 beta
Copyright:	(c) 2003-2004 Petko Bossakov
Email:		bossakov@mail.bg
WWW:		http://meltdown-bbs.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
*/

define('IN_MELTDOWN', true);
chdir('..');
require('common.php');

if ($_SESSION['level'] < 100) {
	header('Location: ../index.php');
	exit;
}

if ($_POST['op'] == 'Save') {
	$postvars = array('userid', 'firstname', 'lastname', 'email', 'language', 'template', 'regdate', 'lastvisit');
	foreach ($postvars as $var) {
		if (!empty($_POST[$var])) {
			$$var=htmlspecialchars($_POST[$var]);
		} else {
			die("$var not entered");
		}
	}
	$level = $_POST['level'];
	$uploads = $_POST['uploads'];
	$downloads = $_POST['downloads'];
	$password = $_POST['password'];

	$regdate2 = strtotime($regdate);
	$lastvisit2 = strtotime($lastvisit);
	if (($regdate2 === -1) or ($lastvisit2 === -1)) die('An invalid date has been entered.');

	if (!is_dir("templates/$template")) die('Selected template is not installed on this system.');
	if (!file_exists("language/" . $language . ".php")) die('Selected language is not installed on this system.');

	if (!empty($password)) {
		$pass = ", password = '" . md5($password) . "'";
	} else {
		$pass = '';
	}
	if ($level > 100) $level = 100;

	$sql = "UPDATE users SET firstname='$firstname', lastname='$lastname', level='$level', email='$email', downloads='$downloads', uploads='$uploads', language='$language', template='$template', regdate='$regdate2', lastvisit = '$lastvisit2' $pass WHERE userid='$userid'";
	db_query($sql) or die(db_error(LINK));
	header('Location: users.php');
}
elseif ($_POST['op'] == 'Delete') {
	$userid = $_POST['userid'];
	if ($userid == $_SESSION['userid']) die ('you cannot delete your own account');
	if (empty($userid)) die('userid not entered');
	$sql = "DELETE FROM users WHERE userid='$userid'";
	db_query($sql) or die(db_error(LINK));
	header('Location: users.php');
}
elseif ($_POST['op'] == 'add') {
	$postvars = array('password', 'firstname', 'lastname', 'email', 'language', 'template', 'regdate', 'lastvisit');
	foreach ($postvars as $var) {
		if (!empty($_POST[$var])) {
			$$var=htmlspecialchars($_POST[$var]);
		} else {
			die("$var not entered");
		}
	}
	$level = $_POST['level'];
	if ($level > 100) $level = 100;
	$uploads = $_POST['uploads'];
	$downloads = $_POST['downloads'];
	$pass = md5($password);

	$regdate2 = strtotime($regdate);
	$lastvisit2 = strtotime($lastvisit);
	if (($regdate2 === -1) or ($lastvisit2 === -1)) die('An invalid date has been entered.');

	if (!is_dir("templates/$template")) die('Selected template is not installed on this system.');
	if (!file_exists("language/" . $language . ".php")) die('Selected language is not installed on this system.');

	$sql = "INSERT INTO users (firstname, lastname, level, password, email, language, template, regdate, lastvisit, uploads, downloads) VALUES ('$firstname', '$lastname', '$level', '$pass', '$email', '$language', '$template', '$regdate2', '$lastvisit2', '$uploads', '$downloads')";
	db_query($sql) or die(db_error(LINK));
	header('Location: users.php');
}
else {
	$sql = "SELECT * FROM users";
	$result = db_query($sql) or die(db_error(LINK));

	// See what templates we have available
	$template_options = '<select name="template">';
	$handle = opendir("templates");
        while (($file = readdir($handle)) !== false) {
		if (is_dir("templates/".$file) and ($file != ".") and ($file != "..")) {
			$template_options .= "\n<option value=\"$file\">$file</option>";
	}
	}
	closedir($handle);
	$template_options .= "</select>";

	// And now, the languages...
	$language_options = '<select name="language">';
	$handle = opendir("language");
        while (($file = readdir($handle)) !== false) {
		if (!is_dir($file) and !(strpos(strtolower($file), ".php") === false)) {
			$option = str_replace(".php", "", strtolower($file));
			$language_options .= "\n<option value=\"$option\">$option</option>";
		}
	}

	while ($row = db_fetch_assoc($result)) {
		$users .= "\r\n" .
			'<hr><form method="post" action="users.php">' .
			'<input type="hidden" name="userid" value="' . $row['userid'] . '">' .
			'<h3>User #' . $row['userid'] . '</h3>' .
			'<table border="1">' .
			'<tr><td>First name:</td><td><input type="text" name="firstname" value="' . $row['firstname'] . '"></td></tr>' .
			'<tr><td>Last name:</td><td><input type="text" name="lastname" value="' . $row['lastname'] . '"></td>' .
			'<tr><td>Access level:</td><td><input type="text" name="level" size="4" value="' . $row['level'] . '"></td>' .
			'<tr><td>Password:</td><td><input type="text" name="password"></td>' .
			'<tr><td>Email address:</td><td><input type="text" name="email" value="' . $row['email'] . '"></td>' .
			'<tr><td>Files uploaded:</td><td><input type="text" name="uploads" size="4" value="' . $row['uploads'] . '"></td>' .
			'<tr><td>Files downloaded:</td><td><input type="text" name="downloads" size="4" value="' . $row['downloads'] . '"></td>' .
			'<tr><td>Language:</td><td>' . str_replace('value="' . $row['language'] . '"', 'selected value="' . $row['language'] . '"', $language_options) . '</td>' .
			'<tr><td>Template:</td><td>' . str_replace('value="' . $row['template'] . '"', 'selected value="' . $row['template'] . '"', $template_options) . '</td>' .
			'<tr><td>Registered on:</td><td><input type="text" name="regdate" size="20" value="' . date('j F Y', $row['regdate']) . '"></td>' .
			'<tr><td>Last online:</td><td><input type="text" name="lastvisit" size="20" value="' . date('j F Y', $row['lastvisit']) . '"></td>' .
			'<tr><td colspan="2"><input type="submit" name="op" value="Save">' . 
			'<input type="submit" name="op" value="Delete" onClick="return confirm(\'Are you sure you wish to delete the user ' . $row['firstname'] . ' ' . $row['lastname'] . '?\');">' .
			'</td></tr></table></form>';
	}
	$users .= "\r\n" .
		'<hr><form method="post" action="users.php">' .
		'<input type="hidden" name="op" value="add">' .
		'<h3>Add new user</h3>' .
		'<table border="1">' .
		'<tr><td>First name:</td><td><input type="text" name="firstname"></td></tr>' .
		'<tr><td>Last name:</td><td><input type="text" name="lastname"></td>' .
		'<tr><td>Access level:</td><td><input type="text" name="level"></td>' .
		'<tr><td>Password:</td><td><input type="text" name="password"></td>' .
		'<tr><td>Email address:</td><td><input type="text" name="email"></td>' .
		'<tr><td>Files uploaded:</td><td><input type="text" name="uploads"></td>' .
		'<tr><td>Files downloaded:</td><td><input type="text" name="downloads"></td>' .
		'<tr><td>Language:</td><td>' . str_replace('value="' . $config['language'] . '"', 'selected value="' . $config['language'] . '"', $language_options) . '</td>' .
		'<tr><td>Template:</td><td>' . str_replace('value="' . $config['template'] . '"', 'selected value="' . $config['template'] . '"', $template_options) . '</td>' .
		'<tr><td>Registered on:</td><td><input type="text" name="regdate" size="20" value="' . date('j F Y') . '"></td>' .
		'<tr><td>Last online:</td><td><input type="text" name="lastvisit" size="20" value="' . date('j F Y') . '"></td>' .
		'<tr><td colspan="2"><input type="submit" value="Add">' .
		'</td></tr></table></form>';

echo <<<END
<html>
<head>
<title>
$bbs_name - Administration
</title>
</head>
<body>
<h1>Administration</h1>
<p>
[<a href="../index.php">Home</a>]
[<a href="index.php">Basic configuration</a>]
[<a href="echos.php">Forum admin</a>]
[<a href="echos.php">File area admin</a>]
</p>
<h2>Users</h2>
<p>An access level of 0 means that user is banned. Passwords are encrypted and not shown. If you don't want to change a user's password, keep the text box blank.</p>
$users
</body>
</html>
END;

}
?>