<?php
/*
Project name:	Meltdown BBS
File:		download.php
Version:	1.0 beta
Copyright:	(c) 2003-2004 Petko Bossakov
Email:		bossakov@mail.bg
WWW:		http://meltdown-bbs.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
*/

define('IN_MELTDOWN', true);
require('common.php');

if (empty($_SESSION['userid'])) {
	header('Location: index.php');
	exit;
}

if (empty($_GET['fileid'])) die_gracefully('No file selected');

$sql = "SELECT * FROM files WHERE fileid='" . $_GET['fileid'] . "'";
$result = db_query($sql) or die(db_error(LINK));
if (db_num_rows($result) < 1) die_gracefully('Error: this file does not exist');
$f = db_fetch_assoc($result);

$sql = "SELECT path, level_download FROM areas WHERE areaid='" . $f['areaid'] . "'";
$result = db_query($sql) or die(db_error(LINK));
$a = db_fetch_assoc($result);

$fullpath = $a['path'] . '/' . $f['filename'];
if (!(file_exists($fullpath))) die_gracefully('This file was not not found; it might be deleted, or located on an unavailable network resource.');

// Check if we have download access

if ($a['level_download'] > $_SESSION['level']) die_gracefully('Your access level is too low to download this file');

// How about the file ratio?
if (($config['file_ratio'] != 0) and ($_SESSION['level'] < 100)) {
	if ($_SESSION['uploads'] == 0) die_gracefully('You have to upload one file to the system for every ' . $config['file_ratio'] . ' downloaded files.');
	if (($_SESSION['downloads'] /  $_SESSION['uploads']) > $config['file_ratio']) die_gracefully('You have to upload one file to the system for every ' . $config['file_ratio'] . ' downloaded files.');
}

// Increment the download counter

$_SESSION['downloads'] += 1;
$sql = "UPDATE users SET downloads = '" . $_SESSION['downloads'] . "' WHERE userid = '" . $_SESSION['userid'] . "'";
db_query($sql) or die(db_error(LINK));

$sql = "UPDATE files SET downloads='" . ($f['downloads'] + 1) . "' WHERE fileid='" . $_GET['fileid'] . "'";
db_query($sql) or die(db_error(LINK));

// Output the content type if we know it

if ($f['mime_type'] == 'text/html') $f['mime_type'] = 'text/plain'; // Hopefully a bit of added security
if (!empty($f['mime_type'])) header("Content-type: ". $f['mime_type']);

header("Content-Disposition: inline; filename=" . $f['filename']);

// Send the file

readfile($fullpath);

?>