<?php
/*
Project name:	Meltdown BBS
File:		echos.php
Version:	1.0 beta
Copyright:	(c) 2003-2004 Petko Bossakov
Email:		bossakov@mail.bg
WWW:		http://meltdown-bbs.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
*/

define('IN_MELTDOWN', true);
require('common.php');

if (empty($_SESSION['userid'])) {
	header('Location: index.php');
	exit;
}

if ($_GET['op'] == 'listmsgs') {
	// Did we get an echo ID?
	$echoid = $_GET['echoid'];
	if (empty($echoid)) {
		header('Location: echos.php');
		exit;
	}
	// Check if we have access
	$sql = "SELECT level_read, name, description FROM echos WHERE echoid='$echoid'";
	$result = db_query($sql) or die(db_error(LINK));
	if (db_num_rows($result) < 1) die_gracefully('Error: this forum does not exist');
	$row = db_fetch_assoc($result);
	if ($row['level_read'] > $_SESSION['level']) die_gracefully('Error: you are not allowed to access this forum');

	// Everything's fine, get a list of messages
	$forum_name = $row['name'];
	$forum_description = $row['description'];

	$table_rows = array();
	$sql = "SELECT * FROM msgs WHERE echoid='$echoid' ORDER BY datetime DESC, msgid DESC LIMIT " . (0 + $_GET['start']) . "," . ($config['page']);
	$result = db_query($sql) or die(db_error(LINK));

	$i=-1;
	while ($row = db_fetch_assoc($result)){
		$i++;
		$sender = $row['sender'];
		$recipient = $row['recipient'];
		// Highlight user's own messages
		if ($sender == $_SESSION['firstname'] . ' ' . $_SESSION['lastname']) $sender = '<b>' . $sender . '</b>';
		if ($recipient == $_SESSION['firstname'] . ' ' . $_SESSION['lastname']) $recipient = '<b>' . $recipient . '</b>';
		$datetime = date('j.n.Y', $row['datetime']);
		if ($row['datetime'] > $_SESSION['lastvisit']) $datetime = '<b>' . $datetime . '</b>';
		$table_rows[] = array(
			'date' => $datetime,
			'sender' => $sender,
			'recipient' => $recipient,
			'subject' => $row['subject'],
			'msgid' => $row['msgid'],
			'shade' => ($i % 2)
		);
		// See if user has rights to edit or delete message
		$sql = "SELECT level_admin FROM echos WHERE echoid='" . $row['echoid'] . "'";
		$result2 = db_query($sql) or die(db_error(LINK));
		$row2 = db_fetch_assoc($result2);
		if (
			$row2['level_admin'] <= $_SESSION['level']
			or
			($row['sender'] == $_SESSION['firstname'] . " " . $_SESSION['lastname'] and ($row['sent'] == 0))
		) {
			$table_rows[$i]['ops'] =
				'<a href="echos.php?op=editmsg&msgid=' . $row['msgid'] . '"><img src="templates/' . $tpldir . '/images/edit.gif" width="16" height="16"></a>'
				. '<a href="echos.php?op=delmsg&msgid=' . $row['msgid'] . '" onClick="return confirm(\'Are you sure?\')"><img src="templates/' . $tpldir . '/images/del.gif" width="16" height="16"></a>';
		} else {
			$table_rows[$i]['ops'] = '';
		}
	}

	// See how many pages we need
	$sql="SELECT COUNT(*) FROM msgs WHERE echoid='$echoid'";
	$result = db_query($sql) or die(db_error(LINK));
	$row = db_fetch_assoc($result);
	$total = $row['COUNT(*)'];
	$pages = intval($total / $config['page']) + 1;
	
	if ($pages > 1) {
		$currpage = intval($_GET['start'] / $config['page']) + 1;

		$pagelinks = $lang['pages'] . ": <a href=\"echos.php?op=listmsgs&echoid=$echoid\">&lt;&lt;</a> ";
		if ($currpage > 1) $pagelinks .= "<a href=\"echos.php?op=listmsgs&echoid=$echoid&start=" . (($currpage-2) * $config['page']) . '">' . $lang['prev_page'] . "</a> ";

		for ($i=$currpage-9; $i<=$currpage+10; $i++) {
			if (($i > 0) and ($i <= $pages)) {
				if ($i == $currpage) {
					$pagelinks .= "<b>$i</b> ";
				} else {
					$pagelinks .= "<a href=\"echos.php?op=listmsgs&echoid=$echoid&start=" . (($i-1) * $config['page']) . "\">$i</a> ";			
				}
			}
		}
		if ($currpage < $pages) $pagelinks .= "<a href=\"echos.php?op=listmsgs&echoid=$echoid&start=" . ($currpage * $config['page']) . '">' . $lang['next_page'] . "</a> ";
		$pagelinks .= "<a href=\"echos.php?op=listmsgs&echoid=$echoid&start=" . (($pages-1) * $config['page']) . "\">&gt;&gt;</a>";
	}

/*
		if ($pages <= 20) {
			for ($i=1; $i<=$pages; $i++) {
				$pagelinks .= "<a href=\"echos.php?op=listmsgs&echoid=$echoid&start=" . (($i-1) * $config['page']) . "\">$i</a> ";
			}
		} else {
			$currpage = intval($_GET['start'] / $config['page']) + 1;
			for ($i=$currpage; (($i<=$currpage+19) and ($i<=$pages)); $i++) {
				$pagelinks .= "<a href=\"echos.php?op=listmsgs&echoid=$echoid&start=" . (($i-1) * $config['page']) . "\">$i</a> ";
			}
			$pagelinks .= "... ";
			for ($i=$pages-10; $i<=$pages; $i++) {
				$pagelinks .= "<a href=\"echos.php?op=listmsgs&echoid=$echoid&start=" . (($i-1) * $config['page']) . "\">$i</a> ";
			}

		}
		$pagelinks .= "<a href=\"echos.php?op=listmsgs&echoid=$echoid&start=" . ($currpage * $config['page']) . '">' . $lang['next_page'] . "</a> ";
		$pagelinks .= "<a href=\"echos.php?op=listmsgs&echoid=$echoid&start=" . ($pages-1 * $config['page']) . "\">&gt;&gt;</a>";
	}
*/

	// Now output it
	$register_vars = array(
		'forum_name', 'forum_description', 
		'l_date', 'l_from', 'l_to',
		'l_subject', 'l_postnew', 'l_post', 'echoid', 'l_backtoforums',
		'pagelinks'
	);
	language_process($register_vars);
	$tpl->load_file('msgs-list', "templates/$tpldir/msgs-list.html");
	$tpl->parse_loop('msgs-list', 'table_rows');
	$tpl->pprint('msgs-list', $register_vars);

}
elseif ($_GET['op'] == 'readmsg') {
	$msgid = $_GET['msgid'];
	if (empty($msgid)) die_gracefully('Error: this message does not exist');
	$sql = "SELECT * FROM msgs WHERE msgid='$msgid'";
	$result = db_query($sql) or die(db_error(LINK));
	$numrows = db_num_rows($result);
	if ($numrows < 1) die_gracefully('Error: this message does not exist');
	$row = db_fetch_assoc($result);

	$echoid = $row['echoid'];
	$replyto = $row['replyto'];
	$rawdate = $row['datetime'];
	$date = date('j.n.Y G:i:s', $rawdate);
	$from = $row['sender'];
	$to = $row['recipient'];
	$subject = $row['subject'];
	$body = str_replace("\r", '', $row['body']);
	$body = wordwrap($body, 100, "\n");
	$body = str_replace("\n", "<br>\r\n", $body);
	$body_quoted = $row['sender'] . " wrote:\n" . "> " . str_replace("\n", "\n> ", wordwrap($row['body'], 80, "\n")) . "\n\n";
	if (strpos(strtolower($subject), 're:') === 0) {
		$subject_reply = $subject;
	} else {
		$subject_reply = 'Re: ' . $subject;
	}

	$sql = "SELECT name, level_read, level_admin FROM echos WHERE echoid='$echoid'";
	$result = db_query($sql) or die(db_error(LINK));
	$row2 = db_fetch_assoc($result);
	$forum_name = $row2['name'];


	// What access do we have?
	if ($row2['level_read'] > $_SESSION['level']) {
		die_gracefully('Error: you are not allowed to read this message');
	}
	if (
		($row['sender'] == $_SESSION['firstname'] . " " . $_SESSION['lastname'])
		and ($row['sent'] == 0)
	) {
		$ops =
			'[<a href="echos.php?op=editmsg&msgid=' . $row['msgid'] . '">' . $lang['op_edit'] . '</a>] '
			. '[<a href="echos.php?op=delmsg&msgid=' . $row['msgid'] . '">' . $lang['op_del'] . '</a>]';
	} elseif ($row2['level_admin'] <= $_SESSION['level']) {
		$ops =
			'[<a href="echos.php?op=editmsg&msgid=' . $row['msgid'] . '">' . $lang['op_edit'] . '</a>] '
			. '[<a href="echos.php?op=delmsg&msgid=' . $row['msgid'] . '">' . $lang['op_del'] . '</a>]';
	} else {
		$ops = '';
	}

	// Now try to get any replies to this message...
	$r_first = ''; $r_next = ''; $r_orig = '';
	$sql = "SELECT msgid FROM msgs WHERE replyto=$msgid ORDER BY msgid";
	$result = db_query($sql) or die(db_error(LINK));
	if (db_num_rows($result) > 0){
		$row = db_fetch_assoc($result);
		$r_first = '<a href="echos.php?op=readmsg&msgid='. $row['msgid'] . '">' . $lang['r_first_to_this'] . '</a>';
	}
	if (!empty($replyto)) {
		$r_orig = "<a href=\"echos.php?op=readmsg&msgid=$replyto\">" . $lang['r_orig'] . '</a>';

		$sql = "SELECT msgid FROM msgs WHERE replyto = $replyto AND msgid > $msgid ORDER BY datetime LIMIT 1";
		$result = db_query($sql) or die(db_error(LINK));
		if (db_num_rows($result) > 0){
			$row = db_fetch_assoc($result);
			$r_next = '<a href="echos.php?op=readmsg&msgid='. $row['msgid'] . '">' . $lang['r_next_to_orig'] . '</a>';
		}

		$sql = "SELECT msgid FROM msgs WHERE replyto = $replyto AND msgid < $msgid ORDER BY datetime DESC LIMIT 1";
		$result = db_query($sql) or die(db_error(LINK));
		if (db_num_rows($result) > 0){
			$row = db_fetch_assoc($result);
			$r_prev = '<a href="echos.php?op=readmsg&msgid='. $row['msgid'] . '">' . $lang['r_prev_to_orig'] . '</a>';
		}
	}

	// Get next and previous message by date
	$bydate_prev = ''; $bydate_next = '';
	$sql = "SELECT msgid FROM msgs WHERE (datetime > $rawdate OR datetime = $rawdate AND msgid > $msgid) AND echoid = $echoid ORDER BY datetime, msgid LIMIT 1";
	$result = db_query($sql) or die(db_error(LINK));
	if (db_num_rows($result) > 0){
		$row = db_fetch_assoc($result);
		$bydate_next = '<a href="echos.php?op=readmsg&msgid='. $row['msgid'] . '">' . $lang['bydate_next'] . '</a>';
	}
	$sql = "SELECT msgid FROM msgs WHERE (datetime < $rawdate OR datetime = $rawdate AND msgid < $msgid) AND echoid = $echoid ORDER BY datetime DESC, msgid DESC LIMIT 1";
	$result = db_query($sql) or die(db_error(LINK));
	if (db_num_rows($result) > 0){
		$row = db_fetch_assoc($result);
		$bydate_prev = '<a href="echos.php?op=readmsg&msgid='. $row['msgid'] . '">' . $lang['bydate_prev'] . '</a>';
	}


	$register_vars = array(
		'forum_name', 'forum_description', 'l_date', 'date',
		'l_from', 'from', 'l_to', 'to', 'l_subject',
		'subject', 'body', 'l_postreply', 'subject_reply', 'body_quoted',
		'l_post', 'msgid', 'echoid', 'r_first', 'r_prev', 
		'r_next', 'r_orig', 'l_thread', 'ops', 'l_bydate', 'bydate_prev', 'bydate_next'
	);
	language_process($register_vars);

	$tpl->pprint_file("templates/$tpldir/message.html", $register_vars);

}
elseif ($_GET['op'] == 'editmsg') {
	// Does message exist?
	$msgid = $_GET['msgid'];
	if (empty($msgid)) die_gracefully('Error: this message does not exist');
	$sql = "SELECT * FROM msgs WHERE msgid='$msgid'";
	$result = db_query($sql) or die(db_error(LINK));
	$numrows = db_num_rows($result);
	if ($numrows < 1) die_gracefully('Error: this message does not exist');

	// Does user have access to this message?
	$row1 = db_fetch_assoc($result);
	$sql = "SELECT name, echoid, level_admin FROM echos WHERE echoid='" . $row1['echoid'] . "'";
	$result = db_query($sql) or die(db_error(LINK));
	$row2 = db_fetch_assoc($result);
	if (
		$row2['level_admin'] <= $_SESSION['level']
		or ($row1['sender'] == $_SESSION['firstname'] . " " . $_SESSION['lastname']
		and ($row1['sent'] == 0))
	) {
		$forum_name = $row2['name'];
		$to = $row1['sender'];
		$subject = $row1['subject'];
		$body = $row1['body'];
		$msgid = $row1['msgid'];

		// Now, let's see if user can move message to another forum
		$move = '';
		if ($row2['level_admin'] <= $_SESSION['level']) {
			$sql = "SELECT name, echoid FROM echos WHERE level_admin <= '" . $_SESSION['level'] . "'";
			$result = db_query($sql) or die(db_error(LINK));
			$numrows = db_num_rows($result);
			if ($numrows > 1) {
				$move = '<SELECT NAME="moveto">';
				while ($row3 = db_fetch_assoc($result)){
					$move .= "\r\n<OPTION ";
					if ($row3['echoid'] == $row2['echoid']) $move .= 'SELECTED ';
					$move .= 'VALUE="' . $row3['echoid'] . '">' . $row3['name'] . '</OPTION>';
				}
				$move .= "\r\n</SELECT>";
			}
		}
		if (!empty($move)) $forum_name=$move;

		$register_vars = array(
			'l_editmsg', 'l_to', 'to', 'l_subject',
			'subject', 'body', 'l_submit', 'forum_name', 'l_forum_name',
			'msgid'
		);
		language_process($register_vars);

		$tpl->pprint_file("templates/$tpldir/editmsg.html", $register_vars);
	} else {
		die_gracefully('You are not allowed to edit this message.');
	}
	
}
elseif ($_POST['op'] == 'editmsg') {
	$postvars = array('msgid', 'body');
	foreach ($postvars as $var) {
		if (!empty($_POST[$var])) {
			$$var=htmlspecialchars($_POST[$var]);
		} else {
			die_gracefully("$var not entered");
		}
	}
	// Does message exist?
	if (empty($msgid)) die_gracefully('Error: this message does not exist');
	$sql = "SELECT * FROM msgs WHERE msgid='$msgid'";
	$result = db_query($sql) or die(db_error(LINK));
	$numrows = db_num_rows($result);
	if ($numrows < 1) die_gracefully('Error: this message does not exist');

	// Does user have access to this message?
	$row1 = db_fetch_assoc($result);
	$sql = "SELECT name, level_admin FROM echos WHERE echoid='" . $row1['echoid'] . "'";
	$result = db_query($sql) or die(db_error(LINK));
	$row2 = db_fetch_assoc($result);
	if (
		$row2['level_admin'] <= $_SESSION['level']
		or 
		(($row1['sender'] == $_SESSION['firstname'] . " " . $_SESSION['lastname'])
		and ($row1['sent'] == 0))
	) {
		$body = '(Edited by ' . $_SESSION['firstname'] . ' ' . $_SESSION['lastname'] . ' on ' . date('j.n.Y H:i:s') . ')\n\n' . $body;
		$body = str_replace('\r', '', $body);
		$body = str_replace('\n', '\\r\\n', $body);
		$sql = "UPDATE msgs SET body='$body' WHERE msgid='$msgid'";
		db_query($sql) or die(db_error(LINK));


		// Now, let's see if user wants to move message to another forum
		if (!empty($_POST['moveto'])) {
			$moveto = $_POST['moveto'];
			$sql = "SELECT level_admin FROM echos WHERE echoid='$moveto'";
			$result = db_query($sql) or die(db_error(LINK));
			$numrows = db_num_rows($result);
			if ($numrows < 1) die_gracefully('Error while trying to move message to another forum');

			$row = db_fetch_assoc($result);
			if ($row['level_admin'] > $_SESSION['level']) die_gracefully('You are not allowed to move this message here.');

			$sql = "UPDATE msgs SET echoid='$moveto' WHERE msgid='$msgid'";
			db_query($sql) or die(db_error(LINK));
		}

		header("Location: echos.php?op=readmsg&msgid=$msgid");
	} else {
		die_gracefully('You are not allowed to edit this message.');
	}
}
elseif ($_GET['op'] == 'delmsg') {
	// User must either have admin access to the conference,
	// or be the sender of the message
	$msgid = $_GET['msgid'];
	if (empty($msgid)) die_gracefully('Error: this message does not exist');

	$sql = "SELECT echoid, sender, sent FROM msgs WHERE msgid='$msgid'";
	$result = db_query($sql) or die(db_error(LINK));
	$numrows = db_num_rows($result);
	if ($numrows < 1) die_gracefully('Error: this message does not exist');
	$row1 = db_fetch_assoc($result);
	$sql = "SELECT level_admin FROM echos WHERE echoid='" . $row1['echoid'] . "'";
	$result = db_query($sql) or die(db_error(LINK));
	$row2 = db_fetch_assoc($result);
	if (
		$row2['level_admin'] <= $_SESSION['level']
		or (($row1['sender'] == $_SESSION['firstname'] . " " . $_SESSION['lastname'])
		and ($row1['sent'] == 0))
	) {
		$sql = "DELETE FROM msgs WHERE msgid=$msgid";
		db_query($sql) or die(db_error(LINK));
		header('Location: echos.php?op=listmsgs&echoid=' . $row1['echoid']);
	} else {
		die_gracefully('You are not allowed to delete this message.');
	}
}
elseif ($_POST['op'] == 'post') {
	$postvars = array('to', 'subject', 'body', 'echoid');
	foreach ($postvars as $var) {
		if (!empty($_POST[$var])) {
			$$var=htmlspecialchars($_POST[$var]);
		} else {
			die_gracefully("$var not entered");
		}
	}

	// Are we going to post a reply?
	$reply1 = '';
	$reply2 = '';
	if (!empty($_POST['replyto'])) {
		$sql = "SELECT echoid FROM MSGS WHERE msgid=" . $_POST['replyto'];
		$result = db_query($sql) or die(db_error(LINK));
		if (db_num_rows($result) < 1){
			die_gracefully('Error: you want to reply to a non-existent message');
		} 
		$row = db_fetch_assoc($result);
		if ($row['echoid'] != $echoid) {
			die_gracefully("Error: invalid data supplied (trying to reply to message " . $_POST['replyto'] . " in area $echoid)");
		}
		$reply1 = ', replyto';
		$reply2 = ', ' . $_POST['replyto'];
	}

	// Check if we have access
	$sql = "SELECT level_post, name, description FROM echos WHERE echoid='$echoid'";
	$result = db_query($sql) or die(db_error(LINK));
	if (db_num_rows($result) < 1){
		die_gracefully('Error: this forum does not exist');
	}
	$row = db_fetch_assoc($result);
	if ($row['level_post'] > $_SESSION['level']) {
		die_gracefully('Error: you are not allowed to post to this forum');
	}

	// It's fine... proceed!
	$body = str_replace('\r', '', $body);
	$body = str_replace('\n', '\\r\\n', $body);
	//mysql_escape_string($body);
	$sql = "INSERT INTO msgs (echoid, sender, recipient, subject, datetime, body $reply1) VALUES ('$echoid', '" . $_SESSION['firstname']. " " . $_SESSION['lastname'] . "', '$to', '$subject', " . time() . ", '$body' $reply2)";
	db_query($sql) or die(db_error(LINK));
	header("Location: echos.php?op=listmsgs&echoid=$echoid");
}
else {
// Output a list of all message areas
$sql = "SELECT name, description, echoid FROM echos ORDER BY order_num, echoid";
$result = db_query($sql) or die(db_error(LINK));

$register_vars = array('l_forums', 'l_forum_name', 'l_description');
language_process($register_vars);

$tpl->load_file('forums-list', "templates/$tpldir/forums-list.html");
$tpl->register('forums-list', $register_vars);
$tpl->parse_sql('forums-list', 'result');
$tpl->parse('forums-list');
$tpl->print_file('forums-list');

}