<?php
/*
Project name:	Meltdown BBS
File:		install.php
Version:	1.0 beta
Copyright:	(c) 2003-2004 Petko Bossakov
Email:		bossakov@mail.bg
WWW:		http://meltdown-bbs.sourceforge.net

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
*/

require('db.php');

if ($_POST['op'] == 'install') {


	$postvars=array("admin_firstname","admin_lastname","admin_password","admin_pw2","admin_email","db_name","db_user","db_pass","db_host","bbs_name","template","language");
	foreach ($postvars as $var) {
		if (!empty($_POST[$var])) {
			$$var=$_POST[$var];
		} else {
			die ("Error: $var not set!");
		}
	}
	if ($admin_password != $admin_pw2) die ("Error: passwords do not match!");

	$cfg = fopen("config.php","w");
	$cfg_out = "<?php
if (!defined('IN_MELTDOWN')){
	die(\"Security error: possible hacking attempt\");
}
\$DB_USER='$db_user';
\$DB_PASS='$db_pass';
\$DB_HOST='$db_host';
\$DB_NAME='$db_name';
define('MELTDOWN_INSTALLED', true);
?>";
	fwrite($cfg, $cfg_out);
	$link = db_pconnect($db_host, $db_user, $db_pass) or die(db_error($link));
	db_select_db ($db_name) or die (db_error($link));
	define("LINK", $link);

	$database = array(
		"CREATE TABLE users (
			userid mediumint(8) unsigned NOT NULL auto_increment,
			level smallint(2) UNSIGNED DEFAULT '1',
			firstname varchar(25) NOT NULL,
			lastname varchar(25) NOT NULL,
			password varchar(32) NOT NULL,
			email varchar(255),
			uploads smallint(2) UNSIGNED DEFAULT '0',
			downloads smallint(2) UNSIGNED DEFAULT '0',
			regdate int(11) DEFAULT '0' NOT NULL,
			lastvisit int(11) DEFAULT '0' NOT NULL,
			language varchar(2) DEFAULT 'en',
			template varchar(32) DEFAULT 'panorama',
			PRIMARY KEY (userid)
		);",

		"CREATE TABLE areas (
			areaid int(11) unsigned NOT NULL auto_increment,
			level_list smallint(2) UNSIGNED DEFAULT '1',
			level_download smallint(2) UNSIGNED DEFAULT '1',
			level_upload smallint(2) UNSIGNED DEFAULT '1',
			level_admin smallint(2) UNSIGNED DEFAULT '100',
			name varchar(150),
			description varchar(255),
			path varchar(150),
			order_num int(11) unsigned DEFAULT '1',
			PRIMARY KEY (areaid)
		);",

		"CREATE TABLE files (
			fileid int(11) unsigned NOT NULL auto_increment,
			areaid smallint(5) UNSIGNED NOT NULL,
			uploader_id mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
			filename varchar(150),
			mime_type varchar(150),
			description varchar(255),
			upload_time int(11) DEFAULT '0' NOT NULL,
			downloads smallint(2) UNSIGNED DEFAULT '0',
			FULLTEXT (description),
			PRIMARY KEY (fileid),
			KEY areaid (areaid)
		);",

		"CREATE TABLE echos (
			echoid smallint(5) UNSIGNED NOT NULL auto_increment,
			name varchar(150),
			level_read smallint(2) UNSIGNED DEFAULT '1',
			level_post smallint(2) UNSIGNED DEFAULT '1',
			level_admin smallint(2) UNSIGNED DEFAULT '100',
			fidotag varchar(150),
			description varchar(150),
			aka varchar(150),
			order_num int(11) unsigned DEFAULT '1',
			PRIMARY KEY (echoid)
		);",

		"CREATE TABLE msgs (
			msgid smallint(5) UNSIGNED NOT NULL auto_increment,
			echoid smallint(5) UNSIGNED NOT NULL,
			sender varchar(36),
			recipient varchar(36),
			subject varchar(72),
			replyto smallint(5) UNSIGNED,
			datetime int(11) DEFAULT '0' NOT NULL,
			body text,
			sent tinyint(1) DEFAULT '0',
			orig_msgid varchar(80),
			orig_reply varchar(80),
			FULLTEXT (subject,body),
			PRIMARY KEY (msgid),
			KEY echoid (echoid)
		);",

		"CREATE TABLE netmail (
			msgid smallint(5) UNSIGNED NOT NULL auto_increment,
			sender varchar(36),
			recipient varchar(36),
			subject varchar(72),
			datetime int(11) DEFAULT '0' NOT NULL,
			body text,
			sent tinyint(1) DEFAULT '0',
			sourcenode varchar(50) DEFAULT '' NOT NULL,
			destnode varchar(50) DEFAULT '' NOT NULL,
			PRIMARY KEY (msgid)
		);",

		"CREATE TABLE config (
			config_name varchar(255) NOT NULL,
			config_value varchar(255) NOT NULL,
			PRIMARY KEY (config_name)
		);",
		"INSERT INTO users (level, firstname, lastname, password, email, regdate, language) VALUES (100, '$admin_firstname', '$admin_lastname', '" . md5($admin_password) . "', '$admin_email', " . time() . ", '$language');",
		"INSERT INTO config VALUES ('bbs_name','$bbs_name')",
		"INSERT INTO config VALUES ('language','$language')",
		"INSERT INTO config VALUES ('template','$template')",
		"INSERT INTO config VALUES ('newuser_level','1')",
		"INSERT INTO config VALUES ('newuser_uploads','1')",
		"INSERT INTO config VALUES ('file_ratio','0')",
		"INSERT INTO config VALUES ('nodenumber','')",
		"INSERT INTO config VALUES ('ban_file_extensions','htm html cgi php php3 phtml shtml pl sh')",
		"INSERT INTO config VALUES ('timeout','300')",
		"INSERT INTO config VALUES ('page', '50')",
		"INSERT INTO config VALUES ('version', '1021')",
		"INSERT INTO echos (echoid, name, description) VALUES ('1', 'Test Forum', 'This is a test forum - you can delete it after your BBS is properly installed')",
		"INSERT INTO msgs (echoid, sender, recipient, subject, datetime, body) VALUES ('1', 'System', '$admin_firstname $admin_lastname', 'Test message', " . time() . ", 'This is a test message.\r\n\r\nYou can delete it after your BBS is properly installed.')"
	);

	foreach ($database as $table) {
	    db_query($table) or die(db_error(LINK));
	}

	echo("<html>
		<head>
		<title>Installation successful!</title>
		</head>
		<body>
		<h1>Installation successful!</h1>
		<p>Meltdown BBS is now installed. Please delete <b>install.php</b> and <a href=\"index.php\">log in</a> with your new username and password. Thank you for choosing this software!</p>
		</body>
		</html>");
} else {
	// See what templates we have available
	$template_options = '<select name="template">';
	$handle = opendir("templates");
        while (($file = readdir($handle)) !== false) {
		if (is_dir("templates/".$file) and ($file != ".") and ($file != "..")) {
			$template_options .= "\n<option value=\"$file\">$file</option>";
		}
	}
	closedir($handle);
	$template_options .= "</select>";

	// And now, the languages...
	$language_options = '<select name="language">';
	$handle = opendir("language");
        while (($file = readdir($handle)) !== false) {
		if (!is_dir($file) and !(strpos(strtolower($file), ".php") === false)) {
			$option = str_replace(".php", "", strtolower($file));
			$language_options .= "\n<option" . (($option == "en")?" selected ":" ") . "value=\"$option\">$option</option>";
		}
	}
	closedir($handle);	
	$language_options .= "</select>";

	$html = <<<END
		<html>
		<head>
		<title>Meltdown BBS install script</title>
		</head>
		<body>
		<h1>Meltdown BBS install script</h1>
		<p>Your Meltdown BBS is now ready to be installed. Please fill in the basic configuration info that's needed.</p>
		<form action="install.php" method="post">
		<input type="hidden" name="op" value="install">
		<table>
		<tr><td>Your BBS name:</td><td>
			<input type="text" name="bbs_name"></td></tr>
		<tr><td>Sysop's first name:</td><td>
			<input type="text" name="admin_firstname"></td></tr>
		<tr><td>Sysop's last name:</td><td>
			<input type="text" name="admin_lastname"></td></tr>
		<tr><td>Sysop's email:</td>
			<td><input type="text" name="admin_email"></td></tr>
		<tr><td>Sysop's password:</td>
			<td><input type="password" name="admin_password"></td></tr>
		<tr><td>Sysop's password (again):</td>
			<td><input type="password" name="admin_pw2"></td></tr>
		<tr><td>MySQL database host:</td>
			<td><input type="text" name="db_host"></td></tr>
		<tr><td>Database name:</td>
			<td><input type="text" name="db_name"></td></tr>
		<tr><td>Database username:</td>
			<td><input type="text" name="db_user"></td></tr>
		<tr><td>Database password:</td>
			<td><input type="password" name="db_pass"></td></tr>
		<tr><td>Default template:</td>
			<td>$template_options</td></tr>
		<tr><td>Default language:</td>
			<td>$language_options</td></tr>
		</table>
		<input type="submit" value="Install">
		</form>
		</body>
		</html>
END;
	echo ($html);

}
?>